<?php

/*
 * Plugin Name:         TrackEasy
 * Plugin URI:          https://www.trackeasy.co.za
 * Description:         A Contact Form 7 extension that captures leads and stores them in TrackEasy.
 * Author:              Netgen
 * Version:             1.0.0
 * Requires at least:   6.3
 * Requires PHP:        8.0
 * Author URI:          https://www.netgen.co.za
 * License:             GPL3
 * License URI:         https://www.gnu.org/licenses/gpl-3.0.en.html
 * Text Domain:         trackeasy
 * Domain Path:         /languages
 */

// If this file is called directly, abort.
if (!defined('ABSPATH')) {
    exit();
}

// The defined constants:
define('TE_TRACKEASY_PATH', plugin_dir_path(__FILE__));
define('TE_TRACKEASY_CORE', __FILE__);
define('TE_TRACKEASY_URL', plugin_dir_url(__FILE__));
define('TE_TRACKEASY_VERSION', '1.0.0');

// Autoload classes
require_once(TE_TRACKEASY_PATH . 'vendor/autoload.php');

use Trackeasy\Classes\TE_Trackeasy;

// The plugin class initialisation
$trackeasy = new TE_Trackeasy();
